// priority 2

// Attempting to balance our modpack by adding/removing or altering recipes

ServerEvents.recipes((event) => {
    // Removing recipes that are being rebalanced
    event.remove({ id: "rftoolsbuilder:shape_card_quarry" });
    event.remove({ id: "mekanism:digital_miner" });

    // RFTools Builder Quarry Card
    event.shaped("rftoolsbuilder:shape_card_quarry", ["DPD", "ICI", "DSD"], {
        D: "redstone_arsenal:flux_dust",
        P: "redstone_arsenal:flux_pickaxe",
        I: "redstone_arsenal:flux_plating",
        C: "rftoolsbuilder:shape_card_def",
        S: "redstone_arsenal:flux_shovel",
    });

    // Mekanism Digital Miner
    event.shaped("mekanism:digital_miner", ["ACA", "SRS", "ETE"], {
        A: "mekanism:alloy_atomic",
        C: "mekanism:elite_control_circuit",
        S: "mekanism:logistical_sorter",
        R: "mekanism:advanced_control_circuit",
        E: "minecraft:ender_pearl",
        T: "mekanism:steel_casing",
    });
});
